import re
from google.appengine.api import mail


class Email:

    @classmethod
    def isValid(cls, email):
        regex = re.compile("^[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}")
        return True if regex.match(email) else False

    @classmethod
    def send(cls, to, subject, sender, text=None, html=None, attachments=None):
        return cls.sendEmailByAppEngine(
            text=text,
            html=html,
            to=to,
            subject=subject,
            sender=sender,
            attachments=attachments
        )

    @classmethod
    def sendEmailByAppEngine(cls, to, subject, sender, text=None, html=None, attachments=None):
        message = mail.EmailMessage()
        message.sender = sender
        message.to = to
        message.subject = subject
        if text:
            message.body = text
        if html:
            message.html = html
        if attachments:
            message.attachments = attachments
        message.send()